#!/bin/bash
echo "Content-type: text/html"
echo ""

# QUERY_STRING="uuid=jxcloud-52-54-00-e4-02-bb&localip=192.168.10.2&ostype=jxboot&hostname=jxit&version=1.0.27783"

now=$(date +%s)
userdb="/var/www/cgi-bin/userlist"
uuid=$(echo $QUERY_STRING | awk -F "&" '{print $1}' | awk -F "=" '{print $2}')
localip=$(echo $QUERY_STRING | awk -F "&" '{print $2}' | awk -F "=" '{print $2}')
ostype=$(echo $QUERY_STRING | awk -F "&" '{print $3}' | awk -F "=" '{print $2}')
hostname=$(echo $QUERY_STRING | awk -F "&" '{print $4}' | awk -F "=" '{print $2}')
version=$(echo $QUERY_STRING | awk -F "&" '{print $5}' | awk -F "=" '{print $2}')

remote_port=$(cat $userdb | grep $uuid | awk -F "," '{print $6}')
if [ -z "$remote_port" ]; then
  last_port=$(cat $userdb | tail -n 1 | awk -F "," '{print $6}')
  remote_port=$(echo $last_port + 1 | bc)
fi

currinfo="$uuid,$localip,$ostype,$hostname,$version,$remote_port,$REMOTE_ADDR,$now"
if [ -z "$(cat $userdb | grep $uuid)" ]; then
  echo $currinfo >> $userdb
else
  sed -i "s/^$uuid.*/$currinfo/g" $userdb
fi

echo "[common]"
echo "server_addr = 114.116.65.40"
echo "server_port = 1103"
echo "token = f791ae4739d9653770e258e726473e9b"
echo "[ssh-$remote_port]"
echo "type = tcp"
echo "local_ip = 127.0.0.1"
echo "local_port = 22"
echo "remote_port = $remote_port"

exit 0
